Cocoon API: Class XSPSQLLibrary

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.xsp.library.sql
Class XSPSQLLibrary

    java.lang.Object
      |
      +--org.apache.cocoon.processor.xsp.library.sql.XSPSQLLibrary

public class XSPSQLLibrary
extends java.lang.Object

A processor that performs SQL database queries.

Version:
  $Revision: 1.11 $ $Date: 2000/10/13 21:41:29 $
Author:
  Donald Ball

Constructor Summary
`XSPSQLLibrary()`

Method Summary
`static org.w3c.dom.Element` | `createElement(org.w3c.dom.Document document, java.lang.String namespace, java.lang.String name)`
`static org.w3c.dom.Element[]` | `executeQuery(org.w3c.dom.Document document, java.lang.String connectionName, java.lang.String doc_element_name, java.lang.String row_element_name, java.lang.String tag_case, java.lang.String null_indicator, java.lang.String id_attribute, java.lang.String id_attribute_column, java.lang.Integer max_rows, java.lang.Integer skip_rows, java.lang.String count_attribute, java.lang.String query_attribute, java.lang.String skip_rows_attribute, java.lang.String max_rows_attribute, java.lang.String update_rows_attribute, java.lang.String namespace, java.lang.String query, java.util.Hashtable column_formats)`
`static org.w3c.dom.Element[]` | `executeQuery(org.w3c.dom.Document document, java.lang.String driver, java.lang.String dburl, java.lang.String username, java.lang.String password, java.lang.String doc_element_name, java.lang.String row_element_name, java.lang.String tag_case, java.lang.String null_indicator, java.lang.String id_attribute, java.lang.String id_attribute_column, java.lang.Integer max_rows, java.lang.Integer skip_rows, java.lang.String count_attribute, java.lang.String query_attribute, java.lang.String skip_rows_attribute, java.lang.String max_rows_attribute, java.lang.String update_rows_attribute, java.lang.String namespace, java.lang.String query, java.util.Hashtable column_formats)`
`protected static Column[]` | `getColumns(java.sql.ResultSetMetaData md, java.lang.String tag_case)`
`static java.lang.String` | `getCountQuery(java.lang.String query)`
`static org.w3c.dom.Element[]` | `processQuery(org.w3c.dom.Document document, java.sql.Connection conn, java.lang.String doc_element_name, java.lang.String row_element_name, java.lang.String tag_case, java.lang.String null_indicator, java.lang.String id_attribute, java.lang.String id_attribute_column, java.lang.Integer max_rows, java.lang.Integer skip_rows, java.lang.String count_attribute, java.lang.String query_attribute, java.lang.String skip_rows_attribute, java.lang.String max_rows_attribute, java.lang.String update_rows_attribute, java.lang.String namespace, java.lang.String query, java.util.Hashtable column_formats)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSPSQLLibrary

    public XSPSQLLibrary()

Method Detail

### executeQuery

    public static org.w3c.dom.Element[] executeQuery(org.w3c.dom.Document document,
                                                     java.lang.String connectionName,
                                                     java.lang.String doc_element_name,
                                                     java.lang.String row_element_name,
                                                     java.lang.String tag_case,
                                                     java.lang.String null_indicator,
                                                     java.lang.String id_attribute,
                                                     java.lang.String id_attribute_column,
                                                     java.lang.Integer max_rows,
                                                     java.lang.Integer skip_rows,
                                                     java.lang.String count_attribute,
                                                     java.lang.String query_attribute,
                                                     java.lang.String skip_rows_attribute,
                                                     java.lang.String max_rows_attribute,
                                                     java.lang.String update_rows_attribute,
                                                     java.lang.String namespace,
                                                     java.lang.String query,
                                                     java.util.Hashtable column_formats)
                                              throws java.sql.SQLException,
                                                     java.lang.Exception

### executeQuery

    public static org.w3c.dom.Element[] executeQuery(org.w3c.dom.Document document,
                                                     java.lang.String driver,
                                                     java.lang.String dburl,
                                                     java.lang.String username,
                                                     java.lang.String password,
                                                     java.lang.String doc_element_name,
                                                     java.lang.String row_element_name,
                                                     java.lang.String tag_case,
                                                     java.lang.String null_indicator,
                                                     java.lang.String id_attribute,
                                                     java.lang.String id_attribute_column,
                                                     java.lang.Integer max_rows,
                                                     java.lang.Integer skip_rows,
                                                     java.lang.String count_attribute,
                                                     java.lang.String query_attribute,
                                                     java.lang.String skip_rows_attribute,
                                                     java.lang.String max_rows_attribute,
                                                     java.lang.String update_rows_attribute,
                                                     java.lang.String namespace,
                                                     java.lang.String query,
                                                     java.util.Hashtable column_formats)
                                              throws java.lang.Exception

### processQuery

    public static org.w3c.dom.Element[] processQuery(org.w3c.dom.Document document,
                                                     java.sql.Connection conn,
                                                     java.lang.String doc_element_name,
                                                     java.lang.String row_element_name,
                                                     java.lang.String tag_case,
                                                     java.lang.String null_indicator,
                                                     java.lang.String id_attribute,
                                                     java.lang.String id_attribute_column,
                                                     java.lang.Integer max_rows,
                                                     java.lang.Integer skip_rows,
                                                     java.lang.String count_attribute,
                                                     java.lang.String query_attribute,
                                                     java.lang.String skip_rows_attribute,
                                                     java.lang.String max_rows_attribute,
                                                     java.lang.String update_rows_attribute,
                                                     java.lang.String namespace,
                                                     java.lang.String query,
                                                     java.util.Hashtable column_formats)
                                              throws java.lang.Exception

### getColumns

    protected static Column[] getColumns(java.sql.ResultSetMetaData md,
                                         java.lang.String tag_case)
                                  throws java.sql.SQLException

### getCountQuery

    public static java.lang.String getCountQuery(java.lang.String query)

### createElement

    public static org.w3c.dom.Element createElement(org.w3c.dom.Document document,
                                                    java.lang.String namespace,
                                                    java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.